import { getCollection } from '$lib/utils/payload'
import type { PageServerLoad } from './$types'

export const load: PageServerLoad = async ({ fetch, setHeaders }) => {
    setHeaders({ 'cache-control': 'public, max-age=300' })

    const { docs: personen } = await getCollection('persoenlichkeiten', {
        depth: 1,
        select: {
            name: true,
            slug: true,
            kategorie: true,
            kurzbiografie: true,
            bild: true,
        }
    }, fetch)

    return { personen }
}